Package com.usatiuk.dhfs.persistence

# Class ObjectChangelog.entries_Entry.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ObjectChangelog.entries_Entry.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>
com.usatiuk.dhfs.persistence.ObjectChangelog.entries_Entry.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ObjectChangelog.entries_EntryOrBuilder`, `Cloneable`

Enclosing class:
  `ObjectChangelog.entries_Entry`

public static final class ObjectChangelog.entries_Entry.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder> implements ObjectChangelog.entries_EntryOrBuilder
Protobuf type `dhfs.persistence.ObjectChangelog.entries_Entry`

## Method Summary

Modifier and Type
Method
Description
`ObjectChangelog.entries_Entry.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ObjectChangelog.entries_Entry`
`build()`
`ObjectChangelog.entries_Entry`
`buildPartial()`
`ObjectChangelog.entries_Entry.Builder`
`clear()`
`ObjectChangelog.entries_Entry.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ObjectChangelog.entries_Entry.Builder`
`clearKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`ObjectChangelog.entries_Entry.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ObjectChangelog.entries_Entry.Builder`
`clearValue()`
`int64 value = 2;`
`ObjectChangelog.entries_Entry.Builder`
`clone()`
`ObjectChangelog.entries_Entry`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`PeerIdP`
`getKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`PeerIdP.Builder`
`getKeyBuilder()`
`.dhfs.persistence.PeerIdP key = 1;`
`PeerIdPOrBuilder`
`getKeyOrBuilder()`
`.dhfs.persistence.PeerIdP key = 1;`
`long`
`getValue()`
`int64 value = 2;`
`boolean`
`hasKey()`
`.dhfs.persistence.PeerIdP key = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ObjectChangelog.entries_Entry.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ObjectChangelog.entries_Entry.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ObjectChangelog.entries_Entry.Builder`
`mergeFrom(ObjectChangelog.entries_Entry other)`
`ObjectChangelog.entries_Entry.Builder`
`mergeKey(PeerIdP value)`
`.dhfs.persistence.PeerIdP key = 1;`
`final ObjectChangelog.entries_Entry.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ObjectChangelog.entries_Entry.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ObjectChangelog.entries_Entry.Builder`
`setKey(PeerIdP value)`
`.dhfs.persistence.PeerIdP key = 1;`
`ObjectChangelog.entries_Entry.Builder`
`setKey(PeerIdP.Builder builderForValue)`
`.dhfs.persistence.PeerIdP key = 1;`
`ObjectChangelog.entries_Entry.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final ObjectChangelog.entries_Entry.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ObjectChangelog.entries_Entry.Builder`
`setValue(long value)`
`int64 value = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### clear

public ObjectChangelog.entries_Entry.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### getDefaultInstanceForType

public ObjectChangelog.entries_Entry getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ObjectChangelog.entries_Entry build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ObjectChangelog.entries_Entry buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ObjectChangelog.entries_Entry.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### setField

public ObjectChangelog.entries_Entry.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### clearField

public ObjectChangelog.entries_Entry.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### clearOneof

public ObjectChangelog.entries_Entry.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### setRepeatedField

public ObjectChangelog.entries_Entry.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### addRepeatedField

public ObjectChangelog.entries_Entry.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### mergeFrom

public ObjectChangelog.entries_Entry.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ObjectChangelog.entries_Entry.Builder>`

### mergeFrom

public ObjectChangelog.entries_Entry.Builder mergeFrom(ObjectChangelog.entries_Entry other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### mergeFrom

public ObjectChangelog.entries_Entry.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ObjectChangelog.entries_Entry.Builder>`
Throws:
  `IOException`

### hasKey

public boolean hasKey()
`.dhfs.persistence.PeerIdP key = 1;`

Specified by:
  `hasKey` in interface `ObjectChangelog.entries_EntryOrBuilder`
Returns:
  Whether the key field is set.

### getKey

public PeerIdP getKey()
`.dhfs.persistence.PeerIdP key = 1;`

Specified by:
  `getKey` in interface `ObjectChangelog.entries_EntryOrBuilder`
Returns:
  The key.

### setKey

public ObjectChangelog.entries_Entry.Builder setKey(PeerIdP value)
`.dhfs.persistence.PeerIdP key = 1;`

### setKey

public ObjectChangelog.entries_Entry.Builder setKey(PeerIdP.Builder builderForValue)
`.dhfs.persistence.PeerIdP key = 1;`

### mergeKey

public ObjectChangelog.entries_Entry.Builder mergeKey(PeerIdP value)
`.dhfs.persistence.PeerIdP key = 1;`

### clearKey

public ObjectChangelog.entries_Entry.Builder clearKey()
`.dhfs.persistence.PeerIdP key = 1;`

### getKeyBuilder

public PeerIdP.Builder getKeyBuilder()
`.dhfs.persistence.PeerIdP key = 1;`

### getKeyOrBuilder

public PeerIdPOrBuilder getKeyOrBuilder()
`.dhfs.persistence.PeerIdP key = 1;`

Specified by:
  `getKeyOrBuilder` in interface `ObjectChangelog.entries_EntryOrBuilder`

### getValue

public long getValue()
`int64 value = 2;`

Specified by:
  `getValue` in interface `ObjectChangelog.entries_EntryOrBuilder`
Returns:
  The value.

### setValue

public ObjectChangelog.entries_Entry.Builder setValue(long value)
`int64 value = 2;`

Parameters:
  `value` - The value to set.
Returns:
  This builder for chaining.

### clearValue

public ObjectChangelog.entries_Entry.Builder clearValue()
`int64 value = 2;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ObjectChangelog.entries_Entry.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`

### mergeUnknownFields

public final ObjectChangelog.entries_Entry.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ObjectChangelog.entries_Entry.Builder>`